Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Administration_out Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::Administration_out:

[legend]
List of all members.

## Public Methods
| Administration_out (Administration_ptr &)
| Administration_out (Administration_var &)
| Administration_out (const Administration_out &)
Administration_out & | operator= (const Administration_out &)
Administration_out & | operator= (const Administration_var &)
Administration_out & | operator= (Administration_ptr)
| operator Administration_ptr & ()
Administration_ptr & | ptr (void)
Administration_ptr | operator-> (void)
## Private Attributes
Administration_ptr & | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::Administration_out::Administration_out | ( | Administration_ptr & |  | ) |

ImplementationRepository::Administration_out::Administration_out | ( | Administration_var & |  | ) |

ImplementationRepository::Administration_out::Administration_out | ( | const Administration_out & |  | ) |

## Member Function Documentation

ImplementationRepository::Administration_out::operator Administration_ptr & | ( |  | ) |

Administration_ptr ImplementationRepository::Administration_out::operator-> | ( | void |  | ) |

Administration_out& ImplementationRepository::Administration_out::operator= | ( | Administration_ptr |  | ) |

Administration_out& ImplementationRepository::Administration_out::operator= | ( | const Administration_var & |  | ) |

Administration_out& ImplementationRepository::Administration_out::operator= | ( | const Administration_out & |  | ) |

Administration_ptr& ImplementationRepository::Administration_out::ptr | ( | void |  | ) |

## Member Data Documentation

Administration_ptr& ImplementationRepository::Administration_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h